Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTableInternal::Border Struct Reference

Internal: the border of a ClarisWksTable. More...

## Public Member Functions
| Border ()
| the constructor More...

## Public Attributes
MWAWVec2i | m_position [2]
| the origin and the end of edge position : unit librevenge::RVNG_POINT/256 More...
int | m_styleId
| the style id More...
bool | m_isSent
| a flag to know if the border is already sent More...

## Friends
std::ostream & | operator<< (std::ostream &o, Border const &bord)
| operator<< More...

## Detailed Description

Internal: the border of a ClarisWksTable.

## Constructor & Destructor Documentation

## ◆ Border()

ClarisWksTableInternal::Border::Border | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Border const & | bord
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_isSent

bool ClarisWksTableInternal::Border::m_isSent
| mutable

a flag to know if the border is already sent

## ◆ m_position

MWAWVec2i ClarisWksTableInternal::Border::m_position[2]

the origin and the end of edge position : unit librevenge::RVNG_POINT/256

Referenced by ClarisWksTable::readTableBorders().

## ◆ m_styleId

int ClarisWksTableInternal::Border::m_styleId

the style id

Referenced by ClarisWksTable::readTableBorders().

The documentation for this struct was generated from the following file:

- ClarisWksTable.cxx